import { IMetricClient } from './IMetricClient';
import { Namespace } from '../Namespace';
import { ILogger } from '../logging/ILogger';
export declare abstract class MetricClient implements IMetricClient {
    private isEnabled;
    private defaultNamespace;
    private namespaces;
    private attributes;
    private logger;
    constructor(isEnabled?: boolean, logger?: ILogger);
    getDefaultNamespace(): Namespace | undefined;
    setDefaultNamespace(domain: string, module: string): void;
    getNamespace(domain: string, module: string): Namespace;
    getAttributes(): Record<string, string>;
    getAttribute(attributeName: string): string | undefined;
    setAttribute(attributeName: string, attributeValue: string): void;
    removeAttribute(attributeName: string): void;
    counter(metricName: string, value: number, attributes: Record<string, string>): void;
    gauge(metricName: string, value: number, attributes: Record<string, string>): void;
    time(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    histogram(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    protected getNamespaceKey(domain: string, module: string): string;
    abstract counterImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    abstract gaugeImpl(metricName: string, value: number, attributes: Record<string, string>): void;
    abstract timeImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
    abstract histogramImpl(metricName: string, value: number, buckets: number[], attributes: Record<string, string>): void;
}
