import { ILogger } from '../logging/ILogger';
import { Namespace } from '../Namespace';
export declare abstract class Metric {
    private namespace;
    private name;
    private description;
    private unit;
    private logger;
    constructor(namespace: Namespace, name: string, description?: string, unit?: string, logger?: ILogger);
    getNamespace(): Namespace;
    getName(): string;
    getDescription(): string;
    getUnit(): string;
    getCombinedAttributes(attributes: Record<string, string>): Record<string, string>;
    getFullName(): string;
}
